Skip to main content
POST
/
get-sections-for-document
Get Sections for Document
curl --request POST \
  --url https://api.artosai.com/get-sections-for-document \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_id": "<string>"
}
'
{
  "sections": [
    {
      "section_id": "1.1 Title of Study:",
      "section_title": "1.1 Title of Study:",
      "section_order": 0
    },
    {
      "section_id": "1.2 Study Objectives:",
      "section_title": "1.2 Study Objectives:",
      "section_order": 1
    },
    {
      "section_id": "1.3 Study Design:",
      "section_title": "1.3 Study Design:",
      "section_order": 2
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Token provides organization-scoped access.

Body

application/json
document_id
string
required

Unique identifier of the document whose section list is being retrieved

Response

Sections retrieved successfully

sections
object[]

Array of section objects sorted by document order